Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004271OCamlCamlp4public2007-04-24 21:422010-04-29 14:26
Reporternogin 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version3.10+dev 
Summary0004271: camlp4of: <:patt< $x$ >> considers "x" to be an id, not a pattern.
DescriptionIn today's CVS (release310 branch):

% cat /tmp/xx.ml
<:patt< $x$ >>

% camlp4of /tmp/xx.ml
Ast.PaId (_loc, x)

% camlp4of -version
3.10+dev25 (2007-03-26)

P.S. Of course, <:patt< $x$ >> is not very meaningful, but the same problem occurs in other similat contexts, e.g. <:patt< Foo ($x$, $y$) >>

P.P.S. The obvious workroung of using $pat:x$ works, but is annoying.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004038)
ertai (developer)
2007-04-28 19:26

Now fixed in CVS (should be propaged to the public one soon).

Thanks, for the report.

- Issue History
Date Modified Username Field Change
2007-04-24 21:42 nogin New Issue
2007-04-28 19:26 ertai Note Added: 0004038
2007-04-28 19:26 ertai Assigned To => ertai
2007-04-28 19:26 ertai Status new => resolved
2007-04-28 19:26 ertai Resolution open => fixed
2007-04-28 19:26 ertai Fixed in Version => 3.10+dev
2010-04-29 14:26 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker